import { Component, OnInit } from '@angular/core';
import { Codigo } from '../interfaces/codigo';
import { ApiService } from '../services/api.service';
import { LoginService } from '../services/login.service';

@Component({
  selector: 'app-perfil-usuario',
  templateUrl: './perfil-usuario.page.html',
  styleUrls: ['./perfil-usuario.page.scss'],
})
export class PerfilUsuarioPage implements OnInit {

  codigos: Codigo[];

  constructor(private apiService: ApiService, private loginService: LoginService) { }

  ngOnInit() {
    this.apiService.getCodigosUsuario(this.loginService.user)
    .subscribe(codigos => {
      this.codigos = codigos;
      console.log(this.codigos);
    })
  }

}
